import request from '@/utils/request'

// 查询地址管理列表
export function listaddress(query) {
  return request({
    url: '/address/list',
    method: 'get',
    params: query
  })
}

// 查询地址管理详细
export function getaddress(addressId) {
  return request({
    url: '/address/' + addressId,
    method: 'get'
  })
}

// 新增地址管理
export function addaddress(data) {
  return request({
    url: '/address',
    method: 'post',
    data: data
  })
}

// 修改地址管理
export function updateaddress(data) {
  return request({
    url: '/address',
    method: 'put',
    data: data
  })
}

// 删除地址管理
export function deladdress(addressId) {
  return request({
    url: '/address/' + addressId,
    method: 'delete'
  })
}
